# $Revision: 1.62 $, $Date: 2011/12/23 08:39:30 $
Summary:	Anonymizing overlay network for TCP (The onion router)
Summary(pl.UTF-8):	Sieć nakładkowa dla TCP zapewniająca anonimowość (router cebulowy)
Name:		tor
Version:	0.2.2.35
Release:	1
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://www.torproject.org/dist/%{name}-%{version}.tar.gz
# Source0-md5:	dcecf699c4b929319d5f1ce0358d4835
Source1:	%{name}.logrotate
Source2:	%{name}.init
Source3:	%{name}.sysconfig
URL:		http://www.torproject.org/
# http://archives.seul.org/or/announce/Feb-2009/msg00000.html
BuildRequires:	libevent-devel >= 1.1
BuildRequires:	openssl-devel >= 0.9.6
BuildRequires:	rpm-build >= 4.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(tor)
Provides:	user(tor)
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tor is a connection-based low-latency anonymous communication system.

This package provides the "tor" program, which serves as both a client
and a relay node. Scripts will automatically create a "tor" user and
group, and set tor up to run as a daemon when the system is rebooted.

Applications connect to the local Tor proxy using the SOCKS protocol.
The local proxy chooses a path through a set of relays, in which each
relay knows its predecessor and successor, but no others. Traffic
flowing down the circuit is unwrapped by a symmetric key at each
relay, which reveals the downstream relay.

Warnings: Tor does no protocol cleaning. That means there is a danger
that application protocols and associated programs can be induced to
reveal information about the initiator. Tor depends on Privoxy and
similar protocol cleaners to solve this problem. This is alpha code,
and is even more likely than released code to have anonymity-spoiling
bugs. The present network is very small -- this further reduces the
strength of the anonymity provided. Tor is not presently suitable for
high-stakes anonymity.

%description -l pl.UTF-8
Tor to oparty na połączeniach system anonimowej komunikacji o małych
opóźnieniach.

Ten pakiet dostarcza program "tor", służący zarówno jako klient, jak i
węzeł przekaźnikowy. Skrypty automatycznie tworzą użytkownika i grupę
"tor" i konfigurują tora do działania jako demon po uruchomieniu
systemu.

Aplikacje łączą się z lokalnym proxy Tor przy użyciu protokołu SOCKS.
Lokalne proxy wybiera ścieżkę poprzez zbiór przekaźników, z których
każdy zna swojego poprzednika i następnika, ale żadnego więcej. Ruch
przychodzący jest rozpakowywany przy użyciu klucza symetrycznego na
każdym przekaźniku, który odsłania kolejny przekaźnik.

Uwaga: Tor nie oczyszcza protokołów. Oznacza to, że istnieje
niebezpieczeństwo, że protokoły aplikacji i powiązane programy mogą
odkryć informacje o pochodzeniu. Tor polega na Privoxy i podobnych
oczyszczaczach protokołów w celu rozwiązania tego problemu. To jest
kod alpha, więc może mieć więcej błędów psujących anonimowość niż kod
wydany. Obecna sieć jest bardzo mała - co w dalszym stopniu ogranicza
zapewnianą anonimowość. Tor aktualnie nie nadaje się do zadań
wymagających anonimowości na wysoką stawkę.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/torrc{.sample,}
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install -d $RPM_BUILD_ROOT/var/lib/%{name}
install -d $RPM_BUILD_ROOT/var/run/%{name}
install -d $RPM_BUILD_ROOT/var/log/{,archive/}%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 156 tor
%useradd  -u 156 -r -d /var/lib/tor -s /bin/false -c "Tor" -g tor tor

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove  tor
	%groupremove tor
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README ChangeLog doc/HACKING doc/TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %attr(750,root,tor) %{_sysconfdir}/%{name}
%attr(640,root,tor)  %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%dir %attr(750,root,tor) /var/lib/%{name}
%dir %attr(750,root,tor) /var/run/%{name}
%dir %attr(750,root,tor) /var/log/%{name}
%dir %attr(750,root,tor) /var/log/archive
%dir %attr(750,root,tor) /var/log/archive/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tor.spec,v $
Revision 1.62  2011/12/23 08:39:30  lisu
- 0.2.2.35

Revision 1.61  2011/09/16 12:53:10  lisu
- 0.2.2.33

Revision 1.60  2011/08/30 08:14:30  lisu
- merged commit logs

Revision 1.59  2011/08/30 08:12:05  lisu
- updated to 0.2.2.32 stable
- merged with DEVEL

Revision 1.58  2011/03/11 14:06:52  lisu
- 0.2.1.30

Revision 1.57  2011/02/24 21:08:10  lisu
- rel 2 (rebuild against new libevent)

Revision 1.56  2011/01/17 14:47:04  lisu
- 0.2.1.29
[fixes CVE-2011-0427]

Revision 1.55  2010/12/26 16:20:10  adamg
- CVE entry for 0.2.1.28

Revision 1.54  2010/12/22 08:09:13  lisu
- 0.2.1.28
  [ fixes CVE-2010-1676 ]

Revision 1.53  2010/11/25 08:14:02  lisu
- 0.2.1.27

Revision 1.52  2010/10/29 17:01:39  hawk
- release 2

Revision 1.51.2.8  2011/05/16 07:39:02  marti
- up to 0.2.2.25-alpha

Revision 1.51.2.7  2011/04/27 12:22:12  lisu
- 0.2.2.24-alpha

Revision 1.51.2.6  2011/03/11 14:09:48  lisu
- 0.2.2.23-alpha

Revision 1.51.2.5  2011/02/14 14:34:38  lisu
- 0.2.2.22-alpha

Revision 1.51.2.4  2010/12/22 08:14:03  lisu
- 0.2.2.20

Revision 1.51.2.3  2010/12/10 11:16:15  lisu
- up to 0.2.2.19-alpha

Revision 1.51.2.2  2010/11/18 14:32:09  lisu
- up to 0.2.2.18-alpha

Revision 1.51.2.1  2010/10/07 14:04:29  lisu
- up to 0.2.2.17-alpha

Revision 1.51  2010/10/07 13:58:24  lisu
- commit logs merged with DEVEL ones

Revision 1.50  2010/05/04 08:41:07  lisu
- up to 0.2.1.26

Revision 1.49  2010/04/12 19:31:07  arekm
- release 2

Revision 1.48  2010/03/17 15:40:02  lisu
- up to 0.2.1.25
- add missing dir

Revision 1.47.2.3  2010/05/04 08:44:46  lisu
- 0.2.2.13-alpha

Revision 1.47.2.2  2010/03/11 10:35:39  lisu
- 0.2.2.10-alpha

Revision 1.47.2.1  2010/02/23 13:35:00  lisu
- up to 0.2.2.9-alpha

Revision 1.47  2010/02/23 13:28:56  lisu
- updated to 0.2.1.24

Revision 1.46  2010/02/16 08:41:14  lisu
- up to 0.2.1.23

Revision 1.45  2010/01/28 13:23:20  lisu
- updated to 0.2.1.22

Revision 1.44  2009/12/02 10:10:45  lisu
- 0.2.1.20
- adapter

Revision 1.43  2009/08/10 12:26:30  lisu
- up to 0.2.1.19
- DEVEL merge

Revision 1.42  2009/06/27 09:47:24  adamg
- updated to 0.2.0.35

Revision 1.41.2.1  2009/06/24 10:56:43  lisu
- up to 0.2.1.16-rc

Revision 1.41  2009/05/18 20:16:12  charles
- BR: zlib-devel

Revision 1.40  2009/02/16 13:19:39  lisu
- security blocker is obsolete. from ChangeLog:
Fix a temporary DoS vulnerability that could be performed by
a directory mirror.

Revision 1.39  2009/02/16 11:23:41  lisu
- forgot to uncomment security

Revision 1.38  2009/02/16 11:16:14  lisu
- 0.2.0.34

Revision 1.37  2009/02/16 09:29:30  blues
- security blocker

Revision 1.36  2009/02/02 10:15:21  lisu
- up to 0.2.0.33

Revision 1.35  2008/12/05 14:03:00  lisu
- 0.2.0.32

Revision 1.34  2008/11/16 18:29:01  glen
- release 2

Revision 1.33  2008/10/12 14:12:40  lkrotowski
- up to 0.2.0.31

Revision 1.32  2008/08/26 18:21:20  arekm
- release 2

Revision 1.31  2008-03-09 19:20:20  radek
- version 0.1.2.19, updated URL

Revision 1.30  2007-12-17 19:14:01  glen
- rel 3 (3 for ac)

Revision 1.29  2007-11-15 10:35:21  vip
- rel 2, rebuild with new libevent

Revision 1.28  2007/10/31 22:40:14  vip
- up to 0.1.2.18

Revision 1.27  2007/09/28 22:15:36  vip
- up to 0.1.2.17

Revision 1.26  2007/09/11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.25  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.24  2007/08/24 20:00:57  adamg
- updated to 0.1.2.16 (CVE-2007-3165, CVE-2007-4174)

Revision 1.23  2007/04/27 11:02:46  vip
- up to 0.1.2.13

Revision 1.22  2007/04/02 17:03:35  baggins
- rel 3

Revision 1.21  2007/04/02 16:55:18  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.20  2007/04/02 12:48:16  baggins
- rel 2

Revision 1.19  2007/02/19 21:24:24  glen
- update to 0.1.1.26

Revision 1.18  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.16  2006/10/19 10:29:59  glen
- rel 4

Revision 1.15  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.14  2006/08/21 20:51:21  glen
- rebuild with libevent

Revision 1.13  2006/07/25 13:07:33  shadzik
- 0.1.1.22

Revision 1.12  2006/06/07 20:40:51  glen
- add CVE ref to 0.1.1.20 release

Revision 1.11  2006/06/07 19:56:17  speedo
- updated to 0.1.1.20 [resolves CVE-2006-0414]

Revision 1.10  2006/04/20 17:50:07  glen
- fix chkconfig, rc-scripts deps

Revision 1.9  2006/04/14 16:28:12  glen
- adapter

Revision 1.8  2006/04/14 16:27:24  glen
- rel 2

Revision 1.7  2006/02/20 08:54:38  speedo
- updated to 0.1.0.17

Revision 1.6  2005/11/30 11:08:07  radek
- P: {group,user}(tor)

Revision 1.5  2005/11/09 09:05:30  radek
- release 1

Revision 1.4  2005/11/08 21:22:10  radek
- version 0.1.0.15, almost finished

Revision 1.3  2005/09/22 23:51:30  qboosh
- pl, some cleanups

Revision 1.2  2005/09/09 09:13:36  radek
- fix md5 (tarball in SRPM for FC is modified: autocrap and ExerciseServer.py)

Revision 1.1  2005/09/09 08:45:59  radek
- new, NFY
